Package org.pushingpixels.substance.flamingo.common.ui

# Interface ActionPopupTransitionAwareUI

All Superinterfaces:
  `org.pushingpixels.substance.internal.animation.TransitionAwareUI`

All Known Implementing Classes:
  `SubstanceCommandButtonUI`, `SubstanceCommandMenuButtonUI`, `SubstanceCommandToggleButtonUI`, `SubstanceCommandToggleMenuButtonUI`, `SubstanceRibbonApplicationMenuButtonUI`

public interface ActionPopupTransitionAwareUI extends org.pushingpixels.substance.internal.animation.TransitionAwareUI

## Method Summary

Modifier and Type
Method
Description
`org.pushingpixels.substance.internal.animation.StateTransitionTracker`
`getActionTransitionTracker()`
`org.pushingpixels.substance.internal.animation.StateTransitionTracker`
`getPopupTransitionTracker()`

### Methods inherited from interface org.pushingpixels.substance.internal.animation.TransitionAwareUI

`getTransitionTracker, isInside`

## Method Details

### getActionTransitionTracker

org.pushingpixels.substance.internal.animation.StateTransitionTracker getActionTransitionTracker()

### getPopupTransitionTracker

org.pushingpixels.substance.internal.animation.StateTransitionTracker getPopupTransitionTracker()